> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve static accounts for a user

> Returns static bank account details associated with the given email.



## OpenAPI

````yaml get /v1/get-accounts
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/get-accounts:
    get:
      tags:
        - Get Bank Account
      summary: Retrieve static accounts for a user
      description: Returns static bank account details associated with the given email.
      parameters:
        - in: query
          name: email
          required: true
          schema:
            type: string
            format: email
          description: The email of the user whose static accounts are being retrieved.
      responses:
        '200':
          description: Static accounts successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Static account successfully retrieved
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        bankCode:
                          type: string
                          example: '251'
                        bankName:
                          type: string
                          example: Maplerad
                        accountName:
                          type: string
                          example: Adrain Schaden
                        accountNumber:
                          type: string
                          example: '4957473535'
                        currency:
                          type: string
                          example: NGN
        '404':
          description: No static accounts found for the user
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: no static accounts found for this user
                  data:
                    type: array
                    items: {}
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````